> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Customer

> Create a customer record linked to your Company/Merchant.



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml post /api/customer/create
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/customer/create:
    post:
      tags:
        - Customer management
      summary: Create Customer
      description: Create a customer record linked to your Company/Merchant.
      operationId: createCustomer
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: ''
                  example: []
                  properties:
                    sid:
                      type: integer
                      description: The SID of the Merchant.
                      example: 12345
                    first_name:
                      type: string
                      description: Customer's first name
                      example: architecto
                    last_name:
                      type: string
                      description: Customer's last name
                      example: architecto
                    company_name:
                      type: string
                      description: optional Name of Merchant that customer interacts with
                      example: architecto
                      nullable: true
                    phone:
                      type: string
                      description: Customer's unique phone number
                      example: architecto
                    email:
                      type: string
                      description: Customer's unique email
                      example: gbailey@example.net
                    addr1:
                      type: string
                      description: optional Customer's address line 1
                      example: architecto
                      nullable: true
                    addr2:
                      type: string
                      description: optional Customer's address line 2
                      example: architecto
                      nullable: true
                    addr3:
                      type: string
                      description: optional Customer's address line 3
                      example: architecto
                      nullable: true
                    city:
                      type: string
                      description: optional Customer's city
                      example: architecto
                      nullable: true
                    state:
                      type: string
                      description: optional Customer's state
                      example: architecto
                      nullable: true
                    zip:
                      type: string
                      description: optional Customer's zip code
                      example: architecto
                      nullable: true
                    country:
                      type: string
                      description: Must not be greater than 3 characters.
                      example: 'n'
                      nullable: true
                  required:
                    - sid
                    - first_name
                    - last_name
                    - phone
                    - email
              required:
                - data
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    uuid: 66f1c230-68cf-4d58-b47c-1bcb83adfddd
                    first_name: Ryan
                    last_name: Taylor
                    phone: '+17707892072'
                    email: rtaylor82@gmail.com
                    addr1: 4655 Hwy 136 W
                    addr2: ''
                    addr3: ''
                    city: Dawsonville
                    state: GA
                    zip: '30534'
                    country: USA
                properties:
                  data:
                    type: object
                    properties:
                      uuid:
                        type: string
                        example: 66f1c230-68cf-4d58-b47c-1bcb83adfddd
                        description: The uuid of the customer.
                      first_name:
                        type: string
                        example: Ryan
                        description: required The first name of the customer.
                      last_name:
                        type: string
                        example: Taylor
                        description: required The last name of the customer.
                      phone:
                        type: string
                        example: '+17707892072'
                        description: required The phone number of the customer.
                      email:
                        type: string
                        example: rtaylor82@gmail.com
                        description: required Customer's email.
                      addr1:
                        type: string
                        example: 4655 Hwy 136 W
                        description: Customer's address line 1
                      addr2:
                        type: string
                        example: ''
                        description: Customer's address line 2
                      addr3:
                        type: string
                        example: ''
                        description: Customer's address line 3
                      city:
                        type: string
                        example: Dawsonville
                        description: Customer's
                      state:
                        type: string
                        example: GA
                        description: Customer's
                      zip:
                        type: string
                        example: '30534'
                        description: Customer's
                      country:
                        type: string
                        example: USA
                        description: Customer's
        '400':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: ''
                    type: object
                    example:
                      message: Validation errors
                    properties:
                      message:
                        type: string
                        example: Validation errors
                  - description: ''
                    type: object
                    example:
                      message: Failed to create Customer
                    properties:
                      message:
                        type: string
                        example: Failed to create Customer
                  - description: ''
                    type: object
                    example:
                      data:
                        message: No such Merchant
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: No such Merchant
        '401':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: ''
                    type: object
                    example:
                      data:
                        message: Permission Denied.
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Permission Denied.
                  - description: ''
                    type: object
                    example:
                      data:
                        message: Merchant or Affiliate check failed
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Merchant or Affiliate check failed
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````